﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Layouts;

namespace XamTileResize
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private int _columnCount;
        private int _rowCount;

        public MainWindow()
        {
            InitializeComponent();

            _columnCount = 0;
            _rowCount = 0;

            AddTile();
            AddTile();

            _columnCount = 1;
            _rowCount = 0;

            AddTile();
            AddTile();

        }

        private void AddTile()
        {
            XamTile tile = new XamTile();
            tile.Image = new BitmapImage(new Uri(@"pack://application:,,,/XamTileResize;component/Objects.png"));

            this.tiles.Items.Add(tile);

            XamTileManager.SetRow(tile, _rowCount);
            XamTileManager.SetColumn(tile, _columnCount);

            _rowCount++;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            AddTile();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            List<XamTile> tiles = new List<XamTile>();
            foreach (XamTile tile in this.tiles.Items)
            {
                tiles.Add(tile);
            }

            this.tiles.Items.Clear();

            foreach (XamTile tile in tiles)
            {
                this.tiles.Items.Add(tile);
            }
        }
    }
}
